Bug 42057 - Can't create J2SE project - No such dir on disk
Can't create J2SE project - No such dir on disk
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: Filesystems
4.x
PC Windows XP
: P2 (vote)
: 4.x
Assigned To: rmatous
issues@platform
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-15 21:57 UTC by Jan Chalupa
Modified: 2008-12-22 20:47 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Exception stack trace (2.88 KB, text/plain)
2004-04-15 21:58 UTC, Jan Chalupa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Chalupa 2004-04-15 21:57:39 UTC
[built on 040415 sources; Sun JDK 1.4.2_04]

I'm not able to create the simplest J2SE 
project. When I try to create a project with a 
default main class, I get

java.lang.AssertionError: No such dir on disk: 
C:\Documents and Settings\honza\My 
Documents\NBProjects\myProject

[full stack trace attached]

It seems that the spaces in the path are causing 
problems. No error occurs when I try to create a 
J2SE app project in a directory without spaces 
in name.
Comment 1 Jan Chalupa 2004-04-15 21:58:28 UTC
Created attachment 14420 [details]
Exception stack trace
Comment 2 Jesse Glick 2004-04-15 22:15:08 UTC
Well J2SEProjectGenerator just calls FileUtil.fromFile(File) and it is
getting an empty array back. (Yes I know the method is deprecated but
it should still work nonetheless.) Probably a result of some mistakes
Radek made in recent commits in masterfs such as using new
File(url.getPath()) which is not safe for all characters.
Comment 3 rmatous 2004-04-16 11:25:04 UTC
URI, URL, File conversions is simply nightmare. I'm going to review 
committed conversions and I'll simplify it if possible. 

/cvs/openide/masterfs/src/org/netbeans/modules/masterfs/MasterURLMapper.java,v
new revision: 1.3; previous revision: 1.2

/cvs/openide/src/org/openide/filesystems/FileUtil.java,v  <-- 
FileUtil.java
new revision: 1.84; previous revision: 1.83
Comment 4 Jesse Glick 2004-04-16 13:17:36 UTC
Please remember to update the target milestone.
Comment 5 Jan Chalupa 2004-04-16 22:14:47 UTC
Verified in custom build of 040416 sources.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo